"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bgVariant = bgVariant;
exports.default = exports.defaultProps = void 0;

var _color = _interopRequireDefault(require("@bootstrap-styled/color"));

var _hover = require("./hover");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultProps = {
  '$enable-hover-media-query': false
};
/**
 * @public
 * @description Css helper for component backgrounds.
 * @param {bool} enableHoverMediaQuery Toggles hovering coloring if anchor is present.
 * @param {string} selector
 * @param {string} bgColor
 * @returns {string}
 */

exports.defaultProps = defaultProps;

function bgVariant() {
  var enableHoverMediaQuery = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$enable-hover-media-query'];
  var selector = arguments.length > 1 ? arguments[1] : undefined;
  var bgColor = arguments.length > 2 ? arguments[2] : undefined;
  return "\n    ".concat(selector, " {\n      background-color: ").concat(bgColor, " !important;\n    }\n    a").concat(selector, " {\n      ").concat((0, _hover.hoverFocus)(enableHoverMediaQuery, "background-color: ".concat((0, _color.default)(bgColor).darken(0.2).rgb(), " !important;")), "\n    }\n  ");
}

var _default = {
  bgVariant: bgVariant
};
exports.default = _default;